Page MenuHomePhabricator

Get banner count via Special:BannerLoader
Closed, DeclinedPublic4 Estimated Story Points

Description

As a person responsible for banners shown to users via CentralNotice (fundraising or otherwise) I want to get impression data from Special:BannerLoader. Currently, impression data can be obtained from Special:RecordImpression as follows: sampled and in near-real-time, or unsampled after a significant delay. I'd like the new methods of getting data from Special:BannerLoader to be at least as efficient and complete.

Related Objects

StatusSubtypeAssignedTask
OpenNone
DeclinedNone
Resolved atgo
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedAndyRussG
ResolvedNone
Resolvedawight
ResolvedAndyRussG
ResolvedAndyRussG
Resolvedawight
ResolvedNone
ResolvedAndyRussG
ResolvedEjegg
ResolvedNone
Resolved ellery
Resolvedgreg

Event Timeline

atgo created this task.Feb 26 2015, 7:52 PM
atgo raised the priority of this task from to Medium.
atgo updated the task description. (Show Details)
atgo added subscribers: atgo, Aklapper, AndyRussG.
atgo updated the task description. (Show Details)Feb 26 2015, 11:38 PM
atgo set Security to None.
atgo removed a project: Epic.Mar 6 2015, 1:40 AM
Jalexander raised the priority of this task from Medium to High.Jun 17 2015, 7:07 AM
Jalexander moved this task from Backlog to Radar on the Trust-and-Safety board.
Jalexander lowered the priority of this task from High to Medium.Jun 17 2015, 7:23 AM
Jalexander added a subscriber: Jalexander.

errr.... reverting priority change... it appears that I do not understand how the workboards work.. I have no idea why priorities were changed.

As a member of the fundraising team,

Noted.

I want to be able to get full, unsampled impression data

Currently you don't, AFAIK, as evidenced by the inability to answer impression data questions: https://meta.wikimedia.org/wiki/Talk:Fundraising_2012/Report

So this is a feature request for something new and can't be blocking a severe bug such as T45250. Someone please adjust description or dependencies.

AndyRussG updated the task description. (Show Details)Jul 5 2015, 2:40 PM

As a member of the fundraising team,

Noted.

Note noted, addressed task description.

So this is a feature request for something new and can't be blocking a severe bug such as T45250.

Just in case this is not clear to anyone: it's a feature to replace what T45250 removes. (Without prejudice to discussions of priorities and such.)

Thanks!!

DStrine edited a custom field.Sep 15 2015, 5:43 PM
AndyRussG closed this task as Declined.Sep 14 2019, 4:23 AM

Closing this task as plans for banner data collection have changed direction; we'll be using EventLogging for this in the near future. (See T183978.)